Returns the color of the pixel in an array as Quantum values

- « ImagickPixel::getColorCount

- ImagickPixel::getColorValue »

- PHP Manual
- ImagickPixel
- Returns the color of the pixel in an array as Quantum values

# ImagickPixel::getColorQuantum

(No version information available, might only be in Git)

ImagickPixel::getColorQuantum — Returns the color of the pixel in an array as Quantum values

### Description

public ImagickPixel::getColorQuantum(): array

Returns the color of the pixel in an array as Quantum values. If ImageMagick was compiled as HDRI these will be floats, otherwise they will be integers.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns an array with keys `"r"`, `"g"`, `"b"`, `"a"`.